﻿using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using SimpleJSON;

//Copyright (C) 2020 vamX - All Rights Reserved
//This is commercial software. You may NOT distribute or reuse any of this code.

namespace vamX
{
    public class BL_SetEnvironment : MVRScript
    {
        JSONStorable guiManager;

        void Start()
        {
            guiManager = FindPluginInScene("vamX.BL_GUI");

            guiManager.SetStringParamValue("setEnvironmentNameString", containingAtom.uid);
            guiManager.CallAction("setEnvironmentNameAction");
        }

        public static JSONStorable FindPluginInScene(string fullClassName)
        {
            JSONStorable plugin = null;
            foreach (Atom testAtom in SuperController.singleton.GetAtoms())
            {
                List<string> names = testAtom.GetStorableIDs();
                if (names != null && names.Count > 0)
                {
                    string pluginName = names.Find(s => s.StartsWith("plugin#") && s.EndsWith(fullClassName));
                    if (pluginName != null && pluginName != "")
                    {
                        plugin = testAtom.GetStorableByID(pluginName);
                        if (plugin != null) return plugin;
                    }
                }
            }
            return plugin;
        }
    }
}
